# Uses of Class
javax.swing.colorchooser.AbstractColorChooserPanel

Packages that use AbstractColorChooserPanel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.colorchooser
Contains classes and interfaces used by the `JColorChooser` component.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of AbstractColorChooserPanel in javax.swing

Methods in javax.swing that return AbstractColorChooserPanel
Modifier and Type
Method
Description
`AbstractColorChooserPanel[]`
JColorChooser.`getChooserPanels()`
Returns the specified color panels.
`AbstractColorChooserPanel`
JColorChooser.`removeChooserPanel​(AbstractColorChooserPanel panel)`
Removes the Color Panel specified.
Methods in javax.swing with parameters of type AbstractColorChooserPanel
Modifier and Type
Method
Description
`void`
JColorChooser.`addChooserPanel​(AbstractColorChooserPanel panel)`
Adds a color chooser panel to the color chooser.
`AbstractColorChooserPanel`
JColorChooser.`removeChooserPanel​(AbstractColorChooserPanel panel)`
Removes the Color Panel specified.
`void`
JColorChooser.`setChooserPanels​(AbstractColorChooserPanel[] panels)`
Specifies the Color Panels used to choose a color value.

## Uses of AbstractColorChooserPanel in javax.swing.colorchooser

Methods in javax.swing.colorchooser that return AbstractColorChooserPanel
Modifier and Type
Method
Description
`static AbstractColorChooserPanel[]`
ColorChooserComponentFactory.`getDefaultChooserPanels()`
Returns the default chooser panels.

## Uses of AbstractColorChooserPanel in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as AbstractColorChooserPanel
Modifier and Type
Field
Description
`protected AbstractColorChooserPanel[]`
BasicColorChooserUI.`defaultChoosers`
The array of default color choosers.
Methods in javax.swing.plaf.basic that return AbstractColorChooserPanel
Modifier and Type
Method
Description
`protected AbstractColorChooserPanel[]`
BasicColorChooserUI.`createDefaultChoosers()`
Returns an array of default color choosers.